# Uses of Interface
org.jfree.chart3d.renderer.category.CategoryRenderer3D

Packages that use CategoryRenderer3D
Package
Description
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.renderer.category
Renderers that can be used with the `CategoryPlot3D` class.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of CategoryRenderer3D in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return CategoryRenderer3D
Modifier and Type
Method
Description
`CategoryRenderer3D`
CategoryPlot3D.`getRenderer()`
Returns the renderer (very often you will need to cast this to a specific class to make customisations).
Methods in org.jfree.chart3d.plot with parameters of type CategoryRenderer3D
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`setRenderer(CategoryRenderer3D renderer)`
Sets the renderer and sends a change event to all registered listeners.
Constructors in org.jfree.chart3d.plot with parameters of type CategoryRenderer3D
Modifier
Constructor
Description
``
`CategoryPlot3D(CategoryDataset3D dataset, CategoryRenderer3D renderer, CategoryAxis3D rowAxis, CategoryAxis3D columnAxis, ValueAxis3D valueAxis)`
Creates a new plot with the supplied dataset, renderer and axes.

## Uses of CategoryRenderer3D in org.jfree.chart3d.renderer.category

Classes in org.jfree.chart3d.renderer.category that implement CategoryRenderer3D
Modifier and Type
Class
Description
`class`
`AbstractCategoryRenderer3D`
A base class that can be used to implement renderers for a `CategoryPlot3D`.
`class`
`AreaRenderer3D`
A renderer for creating 3D area charts from data in a `CategoryDataset3D` (for use with a `CategoryPlot3D`).
`class`
`BarRenderer3D`
A renderer for creating 3D bar charts from a `CategoryDataset3D` (for use with a `CategoryPlot3D`).
`class`
`LineRenderer3D`
A renderer that can be used with the `CategoryPlot3D` class to create 3D lines charts from data in a `CategoryDataset3D`.
`class`
`StackedBarRenderer3D`
A renderer that can be used with the `CategoryPlot3D` class to create 3D stacked bar charts from data in a `CategoryDataset3D`.

## Uses of CategoryRenderer3D in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type CategoryRenderer3D
Modifier and Type
Method
Description
`protected void`
ChartStyler.`styleCategoryRenderer3D(CategoryRenderer3D renderer)`
Applies the current style to a category renderer.